Index: trunk/sources/HeuristicLab.Tracing/3.2/HeuristicLabTracingPlugin.cs
===================================================================
--- trunk/sources/HeuristicLab.Tracing/3.2/HeuristicLabTracingPlugin.cs	(revision 2062)
+++ trunk/sources/HeuristicLab.Tracing/3.2/HeuristicLabTracingPlugin.cs	(revision 2591)
@@ -3,9 +3,9 @@
 namespace HeuristicLab.Tracing {
 
-  [ClassInfo(Name = "HeuristicLab.Tracing-3.2")]
-  [PluginFile(Filename = "HeuristicLab.Tracing-3.2.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "log4net.dll", Filetype = PluginFileType.Assembly)]
-  [PluginFile(Filename = "log4net licence.txt", Filetype = PluginFileType.License)]
-  [PluginFile(Filename = "HeuristicLab.log4net.xml", Filetype = PluginFileType.Data)]
+  [Plugin("HeuristicLab.Tracing-3.2")]
+  [PluginFile("HeuristicLab.Tracing-3.2.dll", PluginFileType.Assembly)]
+  [PluginFile("log4net.dll", PluginFileType.Assembly)]
+  [PluginFile("log4net licence.txt", PluginFileType.License)]
+  [PluginFile("HeuristicLab.log4net.xml", PluginFileType.Data)]
   public class HeuristicLabPersistencePlugin : PluginBase {}
 
Index: trunk/sources/HeuristicLab.Tracing/3.2/HiveLogger.cs
===================================================================
--- trunk/sources/HeuristicLab.Tracing/3.2/HiveLogger.cs	(revision 2062)
+++ trunk/sources/HeuristicLab.Tracing/3.2/HiveLogger.cs	(revision 2591)
@@ -14,7 +14,5 @@
       if (string.IsNullOrEmpty(Settings.Default.TracingLog4netConfigFile)) {
         Settings.Default.TracingLog4netConfigFile =
-          Path.Combine(
-            PluginInfrastructure.Properties.Settings.Default.PluginDir,
-            "HeuristicLab.Hive.log4net.xml");
+            "HeuristicLab.Hive.log4net.xml";
       }
       XmlConfigurator.ConfigureAndWatch(
@@ -26,5 +24,5 @@
       Configure();
       StackFrame frame = new StackFrame(nParents + 1);
-      return LogManager.GetLogger(frame.GetMethod().DeclaringType);      
+      return LogManager.GetLogger(frame.GetMethod().DeclaringType);
     }
 
@@ -47,5 +45,5 @@
     }
 
-    public static void Error(object message) {      
+    public static void Error(object message) {
       GetDefaultLogger(1).Error(message);
     }
@@ -62,10 +60,10 @@
     public static void Info(Type type, object message) {
       Configure();
-      LogManager.GetLogger(type).Info(message);      
+      LogManager.GetLogger(type).Info(message);
     }
 
     public static void Warn(Type type, object message) {
       Configure();
-      LogManager.GetLogger(type).Warn(message);      
+      LogManager.GetLogger(type).Warn(message);
     }
 
Index: trunk/sources/HeuristicLab.Tracing/3.2/Logger.cs
===================================================================
--- trunk/sources/HeuristicLab.Tracing/3.2/Logger.cs	(revision 2062)
+++ trunk/sources/HeuristicLab.Tracing/3.2/Logger.cs	(revision 2591)
@@ -13,11 +13,9 @@
 
     protected static void Configure() {
-      if ( IsConfigured ) return;
+      if (IsConfigured) return;
       IsConfigured = true;
       if (string.IsNullOrEmpty(Settings.Default.TracingLog4netConfigFile)) {
-        Settings.Default.TracingLog4netConfigFile = 
-          Path.Combine(
-            PluginInfrastructure.Properties.Settings.Default.PluginDir,
-            "HeuristicLab.log4net.xml");
+        Settings.Default.TracingLog4netConfigFile =
+            "HeuristicLab.log4net.xml";
       }
       XmlConfigurator.ConfigureAndWatch(
@@ -29,5 +27,5 @@
       Configure();
       StackFrame frame = new StackFrame(nParents + 1);
-      return LogManager.GetLogger(frame.GetMethod().DeclaringType);      
+      return LogManager.GetLogger(frame.GetMethod().DeclaringType);
     }
 
@@ -50,5 +48,5 @@
     }
 
-    public static void Error(object message) {      
+    public static void Error(object message) {
       GetDefaultLogger(1).Error(message);
     }
@@ -65,10 +63,10 @@
     public static void Info(Type type, object message) {
       Configure();
-      LogManager.GetLogger(type).Info(message);      
+      LogManager.GetLogger(type).Info(message);
     }
 
     public static void Warn(Type type, object message) {
       Configure();
-      LogManager.GetLogger(type).Warn(message);      
+      LogManager.GetLogger(type).Warn(message);
     }
 
